<!-- Menu -->
<template v-once>
  <nav class="side-bar-menu">
    <div class="side-bar-menu-item" v-for="item in menuitems">
      <router-link active-class="active" :class="item.icon" :to="item.url">{{ item.title }}</router-link>
    </div>
    <hr>
    <div class="side-bar-menu-item hidden-logged-out">    
    <!-- FIX ME this should be conditional-->
      <router-link active-class="active" class="icon-login" to="/hesabim">HESABIM</router-link>
    </div>
    <div class="side-bar-menu-item">    
      <router-link active-class="active" class="icon-cog-alt" to="/genel-ayarlar">AYARLAR</router-link>
    </div>
  </nav>
</template>

<script>
  export default {
    data () {
      return {
        menuitems: [
          {
            title: 'SON DAKİKA',
            icon: 'icon-attention',
            url: './son-dakika'
          },
          {
            title: 'SPOR',
            icon: 'icon-soccer-ball',
            url: './spor'
          },
          {
            title: 'WEB TV',
            icon: 'icon-television',
            url: './web-tb'
          },
          {
            title: 'GALERİ',
            icon: 'icon-camera',
            url: './galeri'
          },
          {
            title: 'GAZETELER',
            icon: 'icon-newspaper',
            url: './gazeteler'
          },
          {
            title: 'GÜNDEM',
            icon: 'icon-clock',
            url: './gundem'
          },
          {
            title: 'DÜNYA',
            icon: 'icon-globe',
            url: './dunya'
          },
          {
            title: 'EKONOMİ',
            icon: 'icon-chart-area',
            url: './ekonomi'
          },
          {
            title: 'MAGAZİN',
            icon: 'icon-slideshare',
            url: './magazin'
          },
          {
            title: 'TEKNOLOJİ',
            icon: 'icon-cog-alt',
            url: './teknoloji'
          },
          {
            title: 'YEREL HABERLER',
            icon: 'icon-cube',
            url: './yerel-haberler'
          },
          {
            title: 'GÜNDEMDEKİ KİŞİLER',
            icon: 'icon-users',
            url: './gundemdeki-kisiler'
          },
          {
            title: 'BİYOGRAFİLER',
            icon: 'icon-user',
            url: './biyografiler'
          },
          {
            title: 'PİYASALAR',
            icon: 'icon-try',
            url: './piyasalar'
          },
          {
            title: 'EN ÇOK YORUMLANANLAR',
            icon: 'icon-commenting',
            url: './en-cok-yorumlananlar'
          },
          {
            title: 'EN AKTİF YORUMCULAR',
            icon: 'icon-chat',
            url: './en-aktif-yorumcular'
          }
        ]
      }
    }
  }

</script>
